## ros-noetic-jackal-description 0.8.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(jackal_description)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/description.launch)

install(DIRECTORY meshes launch urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(WIN32)
install(PROGRAMS scripts/env_run.bat
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
else()
install(PROGRAMS scripts/env_run
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
endif()

=== debian/changelog ===
ros-noetic-jackal-description (0.8.6-1buster) buster; urgency=high

  * Set the GPS plugin's reference heading to 90 so it's ENU
  * Use xacro properties defined from environment variables for Microstrain URDF (#123 <https://github.com/jackal/jackal/issues/123>)
  * Add GAZEBO_WORLD_{LAT|LON} envars to change the reference coordinate of the robot's integral GPS
  * Contributors: Chris Iverach-Brereton, Joey Yang

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 16 Nov 2022 05:00:00 -0000

ros-noetic-jackal-description (0.8.5-1buster) buster; urgency=high

  * Added Blackfly  entry to URDF
  * Added Blackfly description to package.xml
  * Contributors: Luis Camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-jackal-description (0.8.4-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 09 May 2022 04:00:00 -0000

ros-noetic-jackal-description (0.8.3-1buster) buster; urgency=high

  * Added the option to remove tower from VLP16 mount
  * Added SICK TIM551 to URDF and package.xml
  * Added UTM30 (#106 <https://github.com/jackal/jackal/issues/106>)
  * Updated Navsat and LMS1xx mounts (#103 <https://github.com/jackal/jackal/issues/103>)
    * Updated hokuyo_ust10_mount to include min and max angle
    * Removed extra spaces
    * Updated SICK LMS1XX mount and NAVSAT mount
    * Maintained backward compatibility with LMS1xx standard upright poisition by adding mount types
  * Updated hokuyo_ust10_mount to include min and max angle (#102 <https://github.com/jackal/jackal/issues/102>)
    * Updated hokuyo_ust10_mount to include min and max angle
    * Removed extra spaces
  * Contributors: Luis Camero, luis-camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-noetic-jackal-description (0.8.2-1buster) buster; urgency=high

  * Moved microstrain link to accessories.urdf and updated envvars
  * Added velodyne tower mesh
  * Added Microstrain GX5 to description
  * Removed unnecessary URDF
  * Added Wibotic mesh and STL
  * Contributors: Luis Camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-jackal-description (0.8.1-1buster) buster; urgency=high

  * Updated to match melodic-devel
  * Contributors: Luis Camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-jackal-description (0.8.0-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 23 Apr 2021 04:00:00 -0000

ros-noetic-jackal-description (0.7.5-1buster) buster; urgency=high

  * Add the origin block to the fender UST-10 macros; otherwise enabling them crashes
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-noetic-jackal-description (0.7.4-1buster) buster; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-noetic-jackal-description (0.7.3-1buster) buster; urgency=high

  * Add VLP16 support, refactor main/secondary laser envar support (#79)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-jackal-description (0.7.2-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-jackal-description (0.7.1-1buster) buster; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-noetic-jackal-description (0.7.0-1buster) buster; urgency=high

  * [jackal_description] Re-added pointgrey_camera_description as run depend.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-jackal-description (0.6.4-1buster) buster; urgency=high

  * Modify the hokuyo accessory so that it works properly in gazebo/rviz.  Add an additional environment var JACKAL_LASER_HOKUYO which overrides the default lms1xx sensor with the ust10.
  * use env_run.bat on Windows (#3 <https://github.com/jackal/jackal/issues/3>)
  * add setlocal
  * Fix jackal_description install location & fold xacro includes (#2 <https://github.com/jackal/jackal/issues/2>)
    * Fix install location.
    * Fold xacro includes
  * add env-hook batch scripts (#1 <https://github.com/jackal/jackal/issues/1>)
  * Contributors: Chris I-B, James Xu, Sean Yen, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-jackal-description (0.6.3-1buster) buster; urgency=high

  * Added all extra fender changes
  * Contributors: Dave Niewinski
  * Made minor changes to syntax for kinetic warnings
  * Contributors: Dave Niewinski
  * Added stereo camera accessory.
  * Removed unused variable jackal_description_dir
  * Make urdf refer explicitly to jackal_description, rather than relying on current working directory being correct, for easier external includes
  * Contributors: Arnold Kalmbach, Tony Baltovski, akalmbach

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-noetic-jackal-description (0.5.1-1buster) buster; urgency=high

  * Modified the accessories.urdf.xacro to include both the GPS and mount plate, including standoffs.
  * Eliminate rosrun from the xacro wrapper.
  * Contributors: BryceVoort, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-noetic-jackal-description (0.5.0-1buster) buster; urgency=high

  * Add hook for custom URDF insertion to jackal.urdf.xacro.
  * Add xacro wrapper script to provide some pre-cooked "configs", especially for simulated Jackal.
  * Switch to parameterizing URDF with optenv.
  * Add laser bracket STL.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000



=== debian/control ===
Source: ros-noetic-jackal-description
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-jackal-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-pointgrey-camera-description, ros-noetic-robot-state-publisher, ros-noetic-sick-tim, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
Description: URDF robot description for Jackal

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-jackal-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-jackal-description 0.8.8

=== debian/changelog ===
ros-noetic-jackal-description (0.8.8-1focal) focal; urgency=high

  * change location of onav config
  * added outdoornav enable variable and hardware kit selector for urdf
  * Contributors: José Mastrangelo

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 05 Jun 2023 04:00:00 -0000

ros-noetic-jackal-description (0.8.7-1focal) focal; urgency=high

  * Added Environment Variables
  * Contributors: luis-camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 19 Apr 2023 04:00:00 -0000

ros-noetic-jackal-description (0.8.6-1focal) focal; urgency=high

  * Set the GPS plugin's reference heading to 90 so it's ENU
  * Use xacro properties defined from environment variables for Microstrain URDF (#123 <https://github.com/jackal/jackal/issues/123>)
  * Add GAZEBO_WORLD_{LAT|LON} envars to change the reference coordinate of the robot's integral GPS
  * Contributors: Chris Iverach-Brereton, Joey Yang

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 16 Nov 2022 05:00:00 -0000

ros-noetic-jackal-description (0.8.5-1focal) focal; urgency=high

  * Added Blackfly  entry to URDF
  * Added Blackfly description to package.xml
  * Contributors: Luis Camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-jackal-description (0.8.4-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 09 May 2022 04:00:00 -0000

ros-noetic-jackal-description (0.8.3-1focal) focal; urgency=high

  * Added the option to remove tower from VLP16 mount
  * Added SICK TIM551 to URDF and package.xml
  * Added UTM30 (#106 <https://github.com/jackal/jackal/issues/106>)
  * Updated Navsat and LMS1xx mounts (#103 <https://github.com/jackal/jackal/issues/103>)
    * Updated hokuyo_ust10_mount to include min and max angle
    * Removed extra spaces
    * Updated SICK LMS1XX mount and NAVSAT mount
    * Maintained backward compatibility with LMS1xx standard upright poisition by adding mount types
  * Updated hokuyo_ust10_mount to include min and max angle (#102 <https://github.com/jackal/jackal/issues/102>)
    * Updated hokuyo_ust10_mount to include min and max angle
    * Removed extra spaces
  * Contributors: Luis Camero, luis-camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-noetic-jackal-description (0.8.2-1focal) focal; urgency=high

  * Moved microstrain link to accessories.urdf and updated envvars
  * Added velodyne tower mesh
  * Added Microstrain GX5 to description
  * Removed unnecessary URDF
  * Added Wibotic mesh and STL
  * Contributors: Luis Camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-jackal-description (0.8.1-1focal) focal; urgency=high

  * Updated to match melodic-devel
  * Contributors: Luis Camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-jackal-description (0.8.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 23 Apr 2021 04:00:00 -0000

ros-noetic-jackal-description (0.7.5-1focal) focal; urgency=high

  * Add the origin block to the fender UST-10 macros; otherwise enabling them crashes
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-noetic-jackal-description (0.7.4-1focal) focal; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-noetic-jackal-description (0.7.3-1focal) focal; urgency=high

  * Add VLP16 support, refactor main/secondary laser envar support (#79)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-jackal-description (0.7.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-jackal-description (0.7.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-noetic-jackal-description (0.7.0-1focal) focal; urgency=high

  * [jackal_description] Re-added pointgrey_camera_description as run depend.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-noetic-jackal-description (0.6.4-1focal) focal; urgency=high

  * Modify the hokuyo accessory so that it works properly in gazebo/rviz.  Add an additional environment var JACKAL_LASER_HOKUYO which overrides the default lms1xx sensor with the ust10.
  * use env_run.bat on Windows (#3 <https://github.com/jackal/jackal/issues/3>)
  * add setlocal
  * Fix jackal_description install location & fold xacro includes (#2 <https://github.com/jackal/jackal/issues/2>)
    * Fix install location.
    * Fold xacro includes
  * add env-hook batch scripts (#1 <https://github.com/jackal/jackal/issues/1>)
  * Contributors: Chris I-B, James Xu, Sean Yen, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-noetic-jackal-description (0.6.3-1focal) focal; urgency=high

  * Added all extra fender changes
  * Contributors: Dave Niewinski
  * Made minor changes to syntax for kinetic warnings
  * Contributors: Dave Niewinski
  * Added stereo camera accessory.
  * Removed unused variable jackal_description_dir
  * Make urdf refer explicitly to jackal_description, rather than relying on current working directory being correct, for easier external includes
  * Contributors: Arnold Kalmbach, Tony Baltovski, akalmbach

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-noetic-jackal-description (0.5.1-1focal) focal; urgency=high

  * Modified the accessories.urdf.xacro to include both the GPS and mount plate, including standoffs.
  * Eliminate rosrun from the xacro wrapper.
  * Contributors: BryceVoort, Mike Purvis



=== debian/control ===
Source: ros-noetic-jackal-description
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-jackal-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cpr-onav-description, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-pointgrey-camera-description, ros-noetic-robot-state-publisher, ros-noetic-sick-tim, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
Description: URDF robot description for Jackal
